Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class ApplicationFactory

    java.lang.Object
      javax.faces.application.ApplicationFactory

public abstract class ApplicationFactory
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`ApplicationFactory()`

Method Summary
`abstract Application` | `getApplication()`
`abstract void` | `setApplication(Application application)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationFactory

    public ApplicationFactory()

Method Detail

### getApplication

    public abstract Application getApplication()

### setApplication

    public abstract void setApplication(Application application)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD